UbuntuUpdates.org

Package "hplip"

Name: hplip

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • HP Linux Printing and Imaging - HPIJS PPD files
  • transitional dummy package for hpcups printer driver
  • HP Linux Printing and Imaging - GUI utilities (Qt-based)
  • HP Printers PostScript Descriptions

Latest version: 3.12.2-1ubuntu3
Release: precise (12.04)
Level: base
Repository: universe

Links

Save this URL for the latest version of "hplip": https://www.ubuntuupdates.org/hplip



Other versions of "hplip" in Precise

Repository Area Version
base main 3.12.2-1ubuntu3
security universe 3.12.2-1ubuntu3.5
security main 3.12.2-1ubuntu3.5
updates universe 3.12.2-1ubuntu3.5
updates main 3.12.2-1ubuntu3.5
backports universe 3.13.9-1ubuntu0.1~ubuntu12.04.1
backports main 3.13.9-1ubuntu0.1~ubuntu12.04.1
PPA: Mint Import 3.15.2-0trusty4.1
PPA: Mint Import 3.15.2-0trusty4.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 3.12.2-1ubuntu3 2012-04-04 13:07:02 UTC

hplip (3.12.2-1ubuntu3) precise; urgency=low

  * debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Fixed fax
    sending support for the HP LaserJet M1522nf MFP (LP: #790238).

 -- Till Kamppeter Wed, 4 Apr 2012 13:59:00 +0200

Source diff to previous version
790238 [natty] Cannot set up fax print queue for hp1522nf

Version: 3.12.2-1ubuntu2 2012-03-14 19:02:55 UTC

hplip (3.12.2-1ubuntu2) precise; urgency=low

  * debian/control: Added Replaces/Breaks on hplip-data (<< 3.10.5-4ubuntu1)
    to the libsane-hpaio binary package, to make update from Ubuntu Lucid LTS
    to Precise LTS working (LP: #954847).

 -- Till Kamppeter Wed, 14 Feb 2012 18:49:00 +0100

954847 libsane-hpaio: missing Replaces on old versions of ...

Version: *DELETED* 2012-03-06 11:26:40 UTC
No changelog for deleted or moved packages.

Version: 3.12.2-1ubuntu1 2012-03-01 22:04:16 UTC

hplip (3.12.2-1ubuntu1) precise; urgency=low

  * debian/local/scripts/hp-plugin-ubuntu, debian/hplip-gui.install: Return
    from HPLIP's own automatic plugin installation to the Ubuntu method,
    HP's method installs the plugin when an arbitrary HP LaserJet printer is
    detected on the USB.
  * debian/patches/hp-mkuri-libnotify-so-4-support.dpatch: Let hp-mkuri use
    libnotify.so.4.

 -- Till Kamppeter Mon, 27 Feb 2012 16:13:00 +0100

Source diff to previous version

Version: 3.12.2-1 2012-02-18 21:03:51 UTC

hplip (3.12.2-1) unstable; urgency=low

  * New Upstream Release
  * Fixup Replaces: for squeeze security updates (Closes: #658056)
    - Fixes "obsolete conffiles not removed on upgrades" (Closes: #645848)
  * Cleanup Obsolete Replaces: Depends: Breaks: - support upgrades squeeze+
  * Obtain user consent before running hp-check in reportbug
    - Fixes "bug script starts /usr/share/hplip/systray.py" (Closes: #623627)
  * Drop legacy Uploaders
  * Add hplip Depends: python-gobject-2
    - Fixes "missing dependency causes hp-plugin to fail" (Closes: #600360)

 -- Mark Purcell Sat, 18 Feb 2012 13:56:10 +1100

658056 libsane-hpaio: fails to upgrade from squeeze - trying to overwrite ... - Debian Bug report logs
645848 unity: "Multi-touch integration update"
623627 hplip: bug script starts /usr/share/hplip/systray.py - Debian Bug report logs
600360 missing python-gobject dependency causes hp-plugin to fail - Debian Bug report logs



About   -   Send Feedback to @ubuntu_updates